commit: 8c19a7316bda70de799a79740ab211d69dca5837
Author: Mike Pagano <mpagano <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 8 20:48:46 2020 +0000
Commit: Mike Pagano <mpagano <AT> gentoo <DOT> org>
CommitDate: Sat Feb 8 20:48:46 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c19a731
app-portage/portpeek: Support python 3.8
Package-Manager: Portage-2.3.85, Repoman-2.3.20
Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>
app-portage/portpeek/portpeek-2.1.27-r1.ebuild | 30 ++++++++++++++++++++++++++
1 file changed, 30 insertions(+)
diff --git a/app-portage/portpeek/portpeek-2.1.27-r1.ebuild
b/app-portage/portpeek/portpeek-2.1.27-r1.ebuild
new file mode 100644
index 00000000000..a1b5331b43d
--- /dev/null
+++ b/app-portage/portpeek/portpeek-2.1.27-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit python-r1
+
+DESCRIPTION="A helper program for maintaining the package.keyword and
package.unmask files"
+HOMEPAGE="https://www.mpagano.com/blog/?page_id=3"
+SRC_URI="https://www.mpagano.com/downloads/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~sparc ~x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+ >=app-portage/gentoolkit-0.4.7
+ || (
+ >=sys-apps/portage-2.3.85[${PYTHON_USEDEP}]
+ )"
+
+src_install() {
+ python_foreach_impl python_doscript ${PN}
+ doman *.[0-9]
+}